/inbox-agents
Registers an inbox agent to the registry (Please note that while it is put on-chain, the transaction is not yet finalized by the blockchain.)
Authorization
API-Key API key authentication via header (token)
In: header
Request Body
application/json
Response Body
application/json
curl -X POST "https://loading/./../api/v1/inbox-agents" \ -H "Content-Type: application/json" \ -d '{ "network": "Preprod", "sellingWalletVkey": "wallet_vkey", "recipientWalletAddress": "recipient_wallet_address", "sendFundingLovelace": "7500000", "name": "Inbox Agent", "description": "Masumi inbox identity registration", "agentSlug": "inbox-agent" }'{
"status": "success",
"data": {
"error": null,
"id": "inbox_registry_id",
"name": "Inbox Agent",
"description": "Masumi inbox identity registration",
"agentSlug": "inbox-agent",
"state": "RegistrationRequested",
"createdAt": "1970-01-20T20:00:36.260Z",
"updatedAt": "1970-01-20T20:00:36.260Z",
"lastCheckedAt": null,
"agentIdentifier": "policy_id_asset_name_policy_id_asset_name_policy_id_asset_name",
"metadataVersion": 1,
"sendFundingLovelace": null,
"SmartContractWallet": {
"walletVkey": "wallet_vkey",
"walletAddress": "wallet_address"
},
"RecipientWallet": null,
"CurrentTransaction": null
}
}


